| Extracted from Pike v7.8 release 700 at 2013-06-08.

[Top]
Stdio

# Method Stdio.recursive_mv()

Method recursive_mv

  `int recursive_mv(string from, string to)`

Description

  Copy a file or a directory tree by copying and then removing. Mode bits are preserved in the copy. It's not the fastest but works on every OS and works well across different file systems.

Returns

  Returns 0 on failure, nonzero otherwise.

See also

  recursive_rm cp